//Source file: CopyMessageResEvent.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the copyMessageRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class CopyMessageResEvent extends java.util.EventObject {

    /**
     * Constructor for the CopyMessageResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public CopyMessageResEvent(java.lang.Object source) {

        super(source);
 
    }

}

