//Source file: ListMessagesListener.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the ListMessages activity object.<BR>
 *
 */
public interface ListMessagesListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the listMessagesRes() method on 
    * the callback interface.
    *
    * @param  listMessagesResEvent  Reference to a ListMessagesResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onListMessagesResEvent(org.csapi.jr.se.mmm.ListMessagesResEvent listMessagesResEvent);


   /**
    * Called due to a Gateway initiated call to the listMessagesErr() method on 
    * the callback interface.
    *
    * @param  listMessagesErrEvent  Reference to a ListMessagesErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onListMessagesErrEvent(org.csapi.jr.se.mmm.ListMessagesErrEvent listMessagesErrEvent);


}
