//Source file: MmmInvalidAuthenticationInformationException.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Authentication information is not valid
 *
 */
public class MmmInvalidAuthenticationInformationException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public MmmInvalidAuthenticationInformationException() {
        super(); 
    }

    public MmmInvalidAuthenticationInformationException(String message) {
        super(message); 
    }

    public MmmInvalidAuthenticationInformationException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmInvalidAuthenticationInformationException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmInvalidAuthenticationInformationException

