//Source file: MmmInvalidMessageIdException.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * The message ID is invalid
 *
 */
public class MmmInvalidMessageIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public MmmInvalidMessageIdException() {
        super(); 
    }

    public MmmInvalidMessageIdException(String message) {
        super(message); 
    }

    public MmmInvalidMessageIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmInvalidMessageIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmInvalidMessageIdException

