//Source file: MmmInvalidPartIdException.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * The part ID is invalid
 *
 */
public class MmmInvalidPartIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public MmmInvalidPartIdException() {
        super(); 
    }

    public MmmInvalidPartIdException(String message) {
        super(message); 
    }

    public MmmInvalidPartIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmInvalidPartIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmInvalidPartIdException

