//Source file: MmmInvalidValidityTimeException.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * The requested validity time is invalid
 *
 */
public class MmmInvalidValidityTimeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public MmmInvalidValidityTimeException() {
        super(); 
    }

    public MmmInvalidValidityTimeException(String message) {
        super(message); 
    }

    public MmmInvalidValidityTimeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmInvalidValidityTimeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmInvalidValidityTimeException

