//Source file: SetMessageInfoPropertiesListener.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the SetMessageInfoProperties activity object.<BR>
 *
 */
public interface SetMessageInfoPropertiesListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the setMessageInfoPropertiesRes() method on 
    * the callback interface.
    *
    * @param  setMessageInfoPropertiesResEvent  Reference to a SetMessageInfoPropertiesResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSetMessageInfoPropertiesResEvent(org.csapi.jr.se.mmm.SetMessageInfoPropertiesResEvent setMessageInfoPropertiesResEvent);


   /**
    * Called due to a Gateway initiated call to the setMessageInfoPropertiesErr() method on 
    * the callback interface.
    *
    * @param  setMessageInfoPropertiesErrEvent  Reference to a SetMessageInfoPropertiesErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSetMessageInfoPropertiesErrEvent(org.csapi.jr.se.mmm.SetMessageInfoPropertiesErrEvent setMessageInfoPropertiesErrEvent);


}
