//Source file: MmmDeliveryTypeAddressTypeMismatchException.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * The address type does not match the message delivery type
 *
 */
public class MmmDeliveryTypeAddressTypeMismatchException extends org.csapi.jr.se.mmm.MultiMediaMessagingException {

    private Throwable _cause = null;

    public MmmDeliveryTypeAddressTypeMismatchException() {
        super(); 
    }

    public MmmDeliveryTypeAddressTypeMismatchException(String message) {
        super(message); 
    }

    public MmmDeliveryTypeAddressTypeMismatchException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmDeliveryTypeAddressTypeMismatchException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmDeliveryTypeAddressTypeMismatchException

