//Source file: MmmInformationNotAvailableException.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * The requested information is not available, for example message status information
 *
 */
public class MmmInformationNotAvailableException extends org.csapi.jr.se.mmm.MultiMediaMessagingException {

    private Throwable _cause = null;

    public MmmInformationNotAvailableException() {
        super(); 
    }

    public MmmInformationNotAvailableException(String message) {
        super(message); 
    }

    public MmmInformationNotAvailableException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmInformationNotAvailableException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmInformationNotAvailableException

