//Source file: MultiMediaMessagingException.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Multi-Media Messaging abstract exception
 *
 */
public class MultiMediaMessagingException extends java.lang.Exception {

    private Throwable _cause = null;

    public MultiMediaMessagingException() {
        super(); 
    }

    public MultiMediaMessagingException(String message) {
        super(message); 
    }

    public MultiMediaMessagingException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MultiMediaMessagingException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MultiMediaMessagingException

