//Source file: NotificationListener.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the Notification activity object.<BR>
 *
 */
public interface NotificationListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the reportNotification() method on 
    * the callback interface.
    *
    * @param  reportNotificationEvent  Reference to a ReportNotificationEvent event 
    *        emmited from the impl or activity object. 
    */
    void onReportNotificationEvent(org.csapi.jr.se.mmm.ReportNotificationEvent reportNotificationEvent);
}
