//Source file: SendMessageResEvent.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the sendMessageRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class SendMessageResEvent extends java.util.EventObject {

    /**
     * Constructor for the SendMessageResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public SendMessageResEvent(java.lang.Object source) {

        super(source);
 
    }

}

